Bug 963670 - Review Request: libzfcphbaapi - HBA API for the zFCP device driver
Review Request: libzfcphbaapi - HBA API for the zFCP device driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-05-16 07:03 EDT by Dan Horák
Modified: 2013-05-29 11:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 11:25:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
karsten: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-05-16 07:03:09 EDT
Spec URL: http://fedora.danny.cz/libzfcphbaapi.spec
SRPM URL: http://fedora.danny.cz/libzfcphbaapi-2.1-1.fc19.src.rpm

Description:
zFCP HBA API Library is an implementation of FC-HBA (see www.t11.org) for
the zFCP device driver.


Fedora Account System Username: sharkcz

Notes:
- this is a s390(x) specific package
Comment 1 Dan Horák 2013-05-16 07:19:36 EDT
koji scratch build: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1052857
Comment 2 Karsten Hopp 2013-05-29 05:57:37 EDT
> rpmlint libzfcphbaapi-*
libzfcphbaapi.s390x: E: explicit-lib-dependency libhbaapi
libzfcphbaapi.s390x: W: spelling-error Summary(en_US) zFCP -> Pfc
libzfcphbaapi.s390x: W: spelling-error %description -l en_US zFCP -> Pfc
libzfcphbaapi.s390x: W: spelling-error %description -l en_US www -> WWW, wow
libzfcphbaapi.s390x: W: obsolete-not-provided s390utils-libzfcphbaapi
libzfcphbaapi.s390x: W: shared-lib-calls-exit /usr/lib64/libzfcphbaapi-2.1.so exit@GLIBC_2.2
libzfcphbaapi.src: W: spelling-error Summary(en_US) zFCP -> Pfc
libzfcphbaapi.src: W: spelling-error %description -l en_US zFCP -> Pfc
libzfcphbaapi.src: W: spelling-error %description -l en_US www -> WWW, wow
libzfcphbaapi-docs.s390x: W: spelling-error Summary(en_US) zFCP -> Pfc
libzfcphbaapi-docs.s390x: W: summary-not-capitalized C zFCP HBA API Library -- Documentation
libzfcphbaapi-docs.s390x: W: spelling-error %description -l en_US zFCP -> Pfc
libzfcphbaapi-docs.s390x: W: obsolete-not-provided s390utils-libzfcphbaapi-docs
4 packages and 0 specfiles checked; 1 errors, 12 warnings.

> rpm -qpR  libzfcphbaapi-2.1-1.fc19.s390x.rpm | grep libHBAAPI
libHBAAPI.so.2()(64bit)

I don't care about the spelling errors, all of them are special words unkown to the checker.

[MUST] the explicit-lib-dependency needs to be fixed 
[SHOULD] add a 'Provides: s390utils-libzfcphbaapi' to libzfcphbaapi 
[SHOULD] add a 'Provides: s390utils-libzfcphbaapi-docs' to libzfcphbaapi-docs
[SHOULD] The 'shared-lib-calls-exit' warning looks suspicious, and needs to be looked at.
[MUST] The spec file doesn't consistently use macros vs. variables.
         $RPM_BUILD_ROOT should be replaced by %{buildroot}
         $RPM_OPT_FLAGS should be replaced by %{optflags}
[OK] The package must be named according to the Package Naming Guidelines.
[OK] The spec file name must match the base package %{name}, in the format %{name}.spec
[OK] The package must be licensed with a Fedora approved license 
[OK] The License field in the package spec file must match the actual license.
[OK] the text of the license(s) for the package must be included in %doc
[OK] The spec file must be written in American English
[OK] The spec file for the package MUST be legible.
[OK] The sources used to build the package must match the upstream source
[OK] The package MUST successfully compile and build into binary rpm on all supported archs
[OK] All build dependencies must be listed in BuildRequires
[SHOULD] as this package contains a shared library, ldconfig should probably be run in %post and %postun
[OK] Packages must NOT bundle copies of system libraries
[OK] A package must own all directories that it creates
[OK] The package must contain code, or permissable content.
[OK] Permissions on files must be set properly.
[OK] Packages must NOT contain any .la libtool archives
[OK] The reviewer should test that the package builds in mock. (tested in koji)
[OK] If scriptlets are used, those scriptlets must be sane. 
[OK] your package should contain man pages for binaries/scripts
Comment 3 Dan Horák 2013-05-29 06:27:27 EDT
(In reply to Karsten Hopp from comment #2)
> [MUST] the explicit-lib-dependency needs to be fixed 
> [SHOULD] as this package contains a shared library, ldconfig should probably
> be run in %post and %postun

the library is built in the so-called vendor mode, which makes it actually a plugin that's dlopen()-ed by the user library (libhbaapi), so using Requires: libhbaapi automatically installs also the user library when this plugin is installed, also meaning ldconfig calls are not necessary. I should even remove the plugin's soname from Provides.

> [SHOULD] add a 'Provides: s390utils-libzfcphbaapi' to libzfcphbaapi 
> [SHOULD] add a 'Provides: s390utils-libzfcphbaapi-docs' to libzfcphbaapi-docs

makes sense, will add

> [SHOULD] The 'shared-lib-calls-exit' warning looks suspicious, and needs to
> be looked at.

will be brought to upstream

> [MUST] The spec file doesn't consistently use macros vs. variables.
>          $RPM_BUILD_ROOT should be replaced by %{buildroot}
>          $RPM_OPT_FLAGS should be replaced by %{optflags}

by inconsistency the guideline means that one shouldn't mix $RPM_BUILD_ROOT with %{buildroot} in one spec file which I don't
Comment 4 Dan Horák 2013-05-29 07:03:54 EDT
* Wed May 29 2013 Dan Horák <dan[at]danny.cz> - 2.12
- add missing compatibility Provides
- exclude plugin soname from Provides

updated spec URL: http://fedora.danny.cz/libzfcphbaapi.spec
updated SRPM URL: http://fedora.danny.cz/libzfcphbaapi-2.1-2.fc19.src.rpm

koji scratch build: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1064338
Comment 5 Karsten Hopp 2013-05-29 07:23:00 EDT
new rpmlint output with comments:
> libzfcphbaapi.s390x: E: explicit-lib-dependency libhbaapi
OK per comment #3


> libzfcphbaapi.s390x: W: incoherent-version-in-changelog 2.12 ['2.1-2.fc19', '2.1-2']
This is a typo


> libzfcphbaapi.s390x: W: shared-lib-calls-exit /usr/lib64/libzfcphbaapi-2.1.so exit@GLIBC_2.2
waived on the premise that it'll be taken upstream

> libzfcphbaapi-docs.s390x: W: summary-not-capitalized C zFCP HBA API Library -- Documentation
ok, because that's how IBM writes zFCP


Fix the small typo in the changelog and the package is APPROVED
Comment 6 Dan Horák 2013-05-29 08:01:33 EDT
New Package SCM Request
=======================
Package Name: libzfcphbaapi
Short Description: HBA API for the zFCP device driver
Owners: sharkcz
Branches: f19
Comment 7 Jon Ciesla 2013-05-29 09:36:11 EDT
Git done (by process-git-requests).
Comment 8 Dan Horák 2013-05-29 11:25:21 EDT
imported and built

Note You need to log in before you can comment on or make changes to this bug.